Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: creatives.create
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
创建广告素材。成功完成时,会在 response 字段中返回广告素材;失败时,会返回 google.rpc.Code。返回 CreateCreativeOperationMetadata,其中包含 metadata 字段中的提取状态。
HTTP 请求
POST https://dai.googleapis.com/v1/creatives
网址采用 gRPC 转码语法。
请求正文
请求正文中包含结构如下的数据:
| 字段 |
creative |
object (Creative)
要提取的广告素材。
|
dynamicCreativeInfo |
object (DynamicCreativeInfo)
动态广告素材的相关信息。如果要提取的广告素材是动态广告素材,则必填。
|
响应正文
如果成功,响应正文将包含一个新创建的 Operation 实例。
DynamicCreativeInfo
| JSON 表示法 |
{
"dynamicGroupId": string,
"activeDuration": string
} |
| 字段 |
dynamicGroupId |
string
表示广告素材核心视频广告的 ID。同一动态组 ID 下的所有动态广告素材都可以视为内容相同,但广告素材的动态方面不同。
|
activeDuration |
string (Duration format)
此广告素材被视为有效且正在使用的时长。在此时间过后,系统会安排在视频广告素材代码库中删除相应广告素材。时长上限为 180 天。如果未指定此字段,系统将应用 30 天的默认时长。 该时长以秒为单位,最多包含九个小数位,以“s”结尾。示例:"3.5s"。
|
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2025-07-25。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["没有我需要的信息","missingTheInformationINeed","thumb-down"],["太复杂/步骤太多","tooComplicatedTooManySteps","thumb-down"],["内容需要更新","outOfDate","thumb-down"],["翻译问题","translationIssue","thumb-down"],["示例/代码问题","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2025-07-25。"],[],["This document details how to create a creative via an HTTP POST request to `https://dai.googleapis.com/v1/creatives`. The request body requires a `creative` object and a `dynamicCreativeInfo` object for dynamic creatives. `DynamicCreativeInfo` includes `dynamicGroupId`, a string representing the core video ad's group, and `activeDuration`, specifying the creative's active lifespan. Upon success, the response contains an `Operation` instance; otherwise, a `google.rpc.Code` is returned.\n"]]